repo/gentoo:master commit in: app-containers/cosign/
"Arthur Zamarin" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786045787.4f43e61b9e2765e2bfd464627b6a2e504c9ba1de.arthurzam@gentoo> |
commit: 4f43e61b9e2765e2bfd464627b6a2e504c9ba1de
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 6 19:46:05 2026 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Aug 6 19:49:47 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f43e61b
app-containers/cosign: add 3.1.3
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
app-containers/cosign/Manifest | 2 ++
app-containers/cosign/cosign-3.1.3.ebuild | 47 +++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/app-containers/cosign/Manifest b/app-containers/cosign/Manifest
index efc3e7990cc4..f71d93dcc5bb 100644
--- a/app-containers/cosign/Manifest
+++ b/app-containers/cosign/Manifest
@@ -6,3 +6,5 @@ DIST cosign-3.0.3-deps.tar.xz 147117736 BLAKE2B 8dfd5140715e19adc3daedcf974f94dd
DIST cosign-3.0.3.tar.gz 949214 BLAKE2B c41a776f5967c4692e84764f450340707f14c3a12dcbf6ded45bbb3d9b5cef59f291aaf5b56b56229a47f58baeee2b5efeff6529f3327d76eec86dee367b9dd0 SHA512 bbb0a248ad858a0c867e8760a752030cbe957682686f3f3cfaf1bd7ae350832df2e6d6fe9388f7323353d7377ae9920a99006c3be27610e5d89bfa9b737ab343
DIST cosign-3.1.0-vendor.tar.xz 10611608 BLAKE2B fdd9cabc98b7bafbab0fa256310861ca392f98170c7008e228e902bf6ed1cfcd73f0baa0c4d1ff827294ebe242e1b45ab72816fa5308574bfbc89b067f0ae226 SHA512 f7d403f098252e4db72634fa1a8d4778502bdf0e0df625b89aafd7cf03de6fbf063600605aaae41cf17cdfcf1c7d6341b05aa4ab26cfa5e45888c0d4dbdc6a64
DIST cosign-3.1.0.tar.gz 973713 BLAKE2B 8891355686be3ccf29cff720bd1ea0adfac5058fd53c85152fa9a38de5960a9ce6b0977a37251eea026e74dcb1a51f3fda4f113e859174007906dd98ceceabf2 SHA512 c7154667ecbf76b97b1133d659c737b921df66297c2cb192b7f29407797de9055ecf8b91dd617017de6d8d0541df32474f6daadaeaaa7a964fc229903ef8a450
+DIST cosign-3.1.3-vendor.tar.xz 10244636 BLAKE2B fadc175acdedc3024c91c657a9791bdfccf3691ab654a8ea67647a46a1356afdbe285fe6d3a9a797f62e19f9a01de12be4b281d3fda7bdfe49d2900ca2d004e0 SHA512 42a4f711d7b6f3fce552f2d410358fcf07b445e0a2a4c85d05371b6c5a2a1297a2fd57def1b58462df86a9631dc903bab9f06d3dc8c24d2c07ac8e30a6304f80
+DIST cosign-3.1.3.tar.gz 962331 BLAKE2B 204ee0af61ca3430eb4cb94458a7bb51b15aea2327c9f696adf5a48c7739b67eaf4e2e923079ea145144d16abda59f4ec07900664ebf0817df3b01d11b17206f SHA512 d6f56502afb18ff8f4c4cde2c840bb926543a233a7bc6b71b00f53f1b95ec01e063ada30e7ddf4d16d8f34cb84e59b083e705ef81382456eb59d9e6d83032791
diff --git a/app-containers/cosign/cosign-3.1.3.ebuild b/app-containers/cosign/cosign-3.1.3.ebuild
new file mode 100644
index 000000000000..22add6ec8250
--- /dev/null
+++ b/app-containers/cosign/cosign-3.1.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module shell-completion sysroot
+
+GIT_HASH=11926fa5bbbbde47e88fc006b625a17769b743b2
+# checkout the tag and run `git log -1 --no-show-signature --pretty=%ct`
+SOURCE_DATE_EPOCH=1785973407
+
+DESCRIPTION="container signing utility"
+HOMEPAGE="https://sigstore.dev"
+SRC_URI="https://github.com/sigstore/cosign/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://github.com/gentoo-golang-dist/${PN}/releases/download/v${PV}/${P}-vendor.tar.xz"
+
+LICENSE="Apache-2.0"
+# Dependent licenses
+LICENSE+=" Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="test"
+
+BDEPEND=">=dev-lang/go-1.26.0"
+
+src_compile() {
+ emake \
+ GIT_HASH=${GIT_HASH} \
+ GIT_VERSION=v${PV} \
+ GIT_TREESTATE=clean \
+ SOURCE_DATE_EPOCH=${SOURCE_DATE_EPOCH}
+
+ einfo "generating shell completion files"
+ sysroot_try_run_prefixed ./cosign completion bash > ${PN}.bash || die
+ sysroot_try_run_prefixed ./cosign completion zsh > ${PN}.zsh || die
+ sysroot_try_run_prefixed ./cosign completion fish > ${PN}.fish || die
+}
+
+src_install() {
+ dobin cosign
+ einstalldocs
+ dodoc CHANGELOG.md
+
+ [[ -s ${PN}.bash ]] && newbashcomp ${PN}.bash ${PN}
+ [[ -s ${PN}.zsh ]] && newzshcomp ${PN}.zsh _${PN}
+ [[ -s ${PN}.fish ]] && dofishcomp ${PN}.fish
+}